SDL_malloc(3)

NAME
SDL_malloc - Allocate uninitialized memory.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

void * SDL_malloc(size_t size);

DESCRIPTION
The allocated memory returned by this function must be freed with SDL_free().

If size is 0, it will be set to 1.

If the allocation is successful, the returned pointer is guaranteed to be aligned to either the fundamental alignment (alignof(max_align_t) in C11 and later) or 2 sizeof(void )" , whichever is smaller. Use SDL_aligned_alloc() if you need to allocate memory aligned to an alignment greater than this guarantee.

FUNCTION PARAMETERS

size
    the size to allocate.

RETURN VALUE
Returns a pointer to the allocated memory, or NULL if allocation failed.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_free(3), SDL_calloc(3), SDL_realloc(3), SDL_aligned_alloc(3)